Bug 183530 - [exp-run] [PATCH] lang/perl5.1*: Enable THREADS by default.
Summary: [exp-run] [PATCH] lang/perl5.1*: Enable THREADS by default.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-31 15:40 UTC by Mathieu Arnold
Modified: 2013-11-18 16:50 UTC (History)
1 user (show)

See Also:


Attachments
threaded_perl.patch (1.98 KB, patch)
2013-10-31 15:40 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2013-10-31 15:40:00 UTC
Let's try and see how things go when all perl are threaded.
Comment 1 Mathieu Arnold freebsd_committer 2013-10-31 15:41:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

-> portmgr.
Comment 2 Bryan Drewery freebsd_committer 2013-10-31 16:15:23 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 3 parv 2013-11-01 05:56:30 UTC
How about including "-Duselongdouble" also along with already
included "-Duse64bitint"?

--
Comment 5 Bryan Drewery freebsd_committer 2013-11-02 10:16:50 UTC
Responsible Changed
From-To: bdrewery->mat

exp-run done
Comment 6 Mathieu Arnold freebsd_committer 2013-11-14 15:58:40 UTC
Responsible Changed
From-To: mat->bdrewery

Fixed all failures, back to you :-)
Comment 7 Bryan Drewery freebsd_committer 2013-11-17 22:45:10 UTC
Responsible Changed
From-To: bdrewery->mat

back to mat, slowloris needs to have its RUN_DEPENDS fixed
Comment 8 Mathieu Arnold freebsd_committer 2013-11-18 16:46:14 UTC
State Changed
From-To: open->closed

Committed.
Comment 9 dfilter service freebsd_committer 2013-11-18 16:47:02 UTC
Author: mat
Date: Mon Nov 18 16:46:54 2013
New Revision: 334224
URL: http://svnweb.freebsd.org/changeset/ports/334224

Log:
  Enable threads by default on all Perl versions.
  
  PR:		ports/183530
  Submitted by:	mat
  Exp-Run by:	bdrewery

Modified:
  head/lang/perl5.12/Makefile
  head/lang/perl5.14/Makefile
  head/lang/perl5.16/Makefile
  head/lang/perl5.18/Makefile

Modified: head/lang/perl5.12/Makefile
==============================================================================
--- head/lang/perl5.12/Makefile	Mon Nov 18 16:45:09 2013	(r334223)
+++ head/lang/perl5.12/Makefile	Mon Nov 18 16:46:54 2013	(r334224)
@@ -3,7 +3,7 @@
 
 PORTNAME=	perl
 PORTVERSION=	${PERL_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	lang devel perl5
 MASTER_SITES=	CPAN \
 		${MASTER_SITE_LOCAL:S/$/:local/} \
@@ -24,7 +24,7 @@ CONFLICTS_INSTALL=	perl5.12-* perl5.14-*
 
 OPTIONS_DEFINE=	DEBUG GDBM PERL_MALLOC PERL_64BITINT THREADS PTHREAD \
 		MULTIPLICITY SITECUSTOMIZE USE_PERL
-OPTIONS_DEFAULT=	PERL_64BITINT PTHREAD USE_PERL
+OPTIONS_DEFAULT=	PERL_64BITINT THREADS PTHREAD USE_PERL
 OPTIONS_SUB=
 GDBM_DESC=	GDBM_File extension
 PERL_MALLOC_DESC=	Use Perl malloc

Modified: head/lang/perl5.14/Makefile
==============================================================================
--- head/lang/perl5.14/Makefile	Mon Nov 18 16:45:09 2013	(r334223)
+++ head/lang/perl5.14/Makefile	Mon Nov 18 16:46:54 2013	(r334224)
@@ -3,7 +3,7 @@
 
 PORTNAME=	perl
 PORTVERSION=	${PERL_VERSION}
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	lang devel perl5
 MASTER_SITES=	CPAN \
 		${MASTER_SITE_LOCAL:S/$/:local/} \
@@ -24,7 +24,7 @@ CONFLICTS_INSTALL=	perl5.12-* perl5.14-*
 
 OPTIONS_DEFINE=	DEBUG GDBM PERL_MALLOC PERL_64BITINT THREADS PTHREAD \
 		MULTIPLICITY SITECUSTOMIZE USE_PERL
-OPTIONS_DEFAULT=	PERL_64BITINT PTHREAD USE_PERL
+OPTIONS_DEFAULT=	PERL_64BITINT THREADS PTHREAD USE_PERL
 OPTIONS_SUB=
 GDBM_DESC=	GDBM_File extension
 PERL_MALLOC_DESC=	Use Perl malloc

Modified: head/lang/perl5.16/Makefile
==============================================================================
--- head/lang/perl5.16/Makefile	Mon Nov 18 16:45:09 2013	(r334223)
+++ head/lang/perl5.16/Makefile	Mon Nov 18 16:46:54 2013	(r334224)
@@ -3,7 +3,7 @@
 
 PORTNAME=	perl
 PORTVERSION=	${PERL_VERSION}
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	lang devel perl5
 MASTER_SITES=	CPAN \
 		${MASTER_SITE_LOCAL:S/$/:local/} \
@@ -24,7 +24,7 @@ CONFLICTS_INSTALL=	perl5.12-* perl5.14-*
 
 OPTIONS_DEFINE=	DEBUG GDBM PERL_MALLOC PERL_64BITINT THREADS PTHREAD \
 		MULTIPLICITY SITECUSTOMIZE USE_PERL
-OPTIONS_DEFAULT=	PERL_64BITINT PTHREAD USE_PERL
+OPTIONS_DEFAULT=	PERL_64BITINT THREADS PTHREAD USE_PERL
 OPTIONS_SUB=
 GDBM_DESC=	GDBM_File extension
 PERL_MALLOC_DESC=	Use Perl malloc

Modified: head/lang/perl5.18/Makefile
==============================================================================
--- head/lang/perl5.18/Makefile	Mon Nov 18 16:45:09 2013	(r334223)
+++ head/lang/perl5.18/Makefile	Mon Nov 18 16:46:54 2013	(r334224)
@@ -3,7 +3,7 @@
 
 PORTNAME=	perl
 PORTVERSION=	${PERL_VERSION}
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	lang devel perl5
 MASTER_SITES=	CPAN \
 		${MASTER_SITE_LOCAL:S/$/:local/} \
@@ -27,7 +27,7 @@ OPTIONS_DEFINE=	DEBUG GDBM PERL_64BITINT
 # it seems perl malloc has problems with threaded perl on FreeBSD
 OPTIONS_RADIO=	EXCLUSIVE
 OPTIONS_RADIO_EXCLUSIVE=	THREADS PERL_MALLOC
-OPTIONS_DEFAULT=	PERL_64BITINT PTHREAD USE_PERL
+OPTIONS_DEFAULT=	PERL_64BITINT THREADS PTHREAD USE_PERL
 
 EXCLUSIVE_DESC=	Exclusive OPTIONS
 GDBM_DESC=	GDBM_File extension
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"